module github.com/jobs-scraper/apps/cron-analyzer

go 1.24.0

require (
	github.com/jobs-scraper/internal/pkg/domain v0.0.0
	github.com/jobs-scraper/internal/pkg/infrastructure v0.0.0-00010101000000-000000000000
	github.com/jobs-scraper/internal/pkg/openrouter v0.0.0-00010101000000-000000000000
	github.com/jobs-scraper/libs/repo v0.0.0
	github.com/joho/godotenv v1.5.1
)

require (
	github.com/eduardolat/openroutergo v0.1.0 // indirect
	github.com/golang-migrate/migrate/v4 v4.19.0 // indirect
	github.com/hashicorp/errwrap v1.1.0 // indirect
	github.com/hashicorp/go-multierror v1.1.1 // indirect
	github.com/lib/pq v1.10.9 // indirect
	github.com/orsinium-labs/enum v1.4.0 // indirect
	github.com/rabbitmq/amqp091-go v1.10.0 // indirect
)

replace github.com/jobs-scraper/internal/pkg/domain => ../../internal/pkg/domain

replace github.com/jobs-scraper/internal/pkg/infrastructure => ../../internal/pkg/infrastructure

replace github.com/jobs-scraper/internal/pkg/openrouter => ../../internal/pkg/openrouter

replace github.com/jobs-scraper/libs/repo => ../../libs/repo
